2008年7月13日

[debian-users:50734] aptitudeがインストールできない

実は、woodyからのアップが遅れてしまい、sources.listのstableをwoodyにしたま
ま、apt-get install aptitudeをして見ましたが、Couldn't find package aptitude
となってしまいます。
本当は、リリースノートにあるように、aptitude -f --with-recommends
dist-upgrade を行いたいところでした。
仕方なく、sources.list のwoodyをsargeに変更し、# apt-get update ,# apt-get
upgrade や、# apt-get dist-upgrade を行いました。
この結果、kept backされた物が非常に多くあり、9個しか更新されませんでした。

# dpkg -l base-files とすると、3.1.2で、/etc/debian_version は3.1には成って
いました。

この時点でも、# apt-get aptitudeでCouldn't find package aptitude となってし
まいます。

そこで、aptitudeのdeb形式をダウンロードしてきて、# dpkg -i
aptitude_0.4.11.8-1_i386.deb を行って見ましたが、今度は依存関係でかなりのエ
ラーが出て困っています。
これらのいくつかを、#apt-get install hogehoge と行ってみましたが、またエラー
が出てしまいます。

下記のようなエラーですが、解決するには、これらをまとめてinstallする等、根気
良くこれらを繰り返せば、アップグレードできる物なのでしょうか?
また、アップグレードが遅れてしまったので、何か無理があるのでしょうか?
何卒、よろしくお願いいたします。

# dpkg -i aptitude_0.4.11.8-1_i386.deb
(Reading database ... 50798 files and directories currently installed.)
Preparing to replace aptitude 0.4.11.8-1 (using
aptitude_0.4.11.8-1_i386.deb) ...
Unpacking replacement aptitude ...
dpkg: dependency problems prevent configuration of aptitude:
aptitude depends on libapt-pkg-libc6.7-6-4.6; however:
Package libapt-pkg-libc6.7-6-4.6 is not installed.
aptitude depends on libc6 (>= 2.7-1); however:
Version of libc6 on system is 2.2.5-11.8.
aptitude depends on libcwidget3; however:
Package libcwidget3 is not installed.
aptitude depends on libept0 (>= 0.5.20); however:
Package libept0 is not installed.
aptitude depends on libgcc1 (>= 1:4.1.1); however:
Version of libgcc1 on system is 1:3.0.4-7.
aptitude depends on libncursesw5 (>= 5.6+20071006-3); however:
Package libncursesw5 is not installed.
aptitude depends on libsigc++-2.0-0c2a (>= 2.0.2); however:
Package libsigc++-2.0-0c2a is not installed.
aptitude depends on libstdc++6 (>= 4.2.1); however:
Package libstdc++6 is not installed.
aptitude depends on libxapian15; however:
Package libxapian15 is not installed.
dpkg: error processing aptitude (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
aptitude

投稿者 xml-rpc : 2008年7月13日 18:54
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/75239
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。